# SBTableLayout
A customizable UICollectionViewLayout to use instead of UITableView.

## Why?
* I like to use UICollectionView way more than UITableView, create custom insert/removal animations, way more flexibility overall.
* Dealing with separators has always been a huge mess on table view cells, I tried to do it exacly the way Apple does on the UITableView, but transparent for the user.
* iOS6 support, the grouped styled UITableView looks horroble on iOS6, this gives you the new look on iOS6 as well. 
* Use the cleaner and not so much bloated UITableViewCell is quite nice.
* UITableView has a lot of wied margins, here you have full control over the layout.

## Adding to Your Project
* Add all files in the SBTableLayout-folder to your project, and you are good to go.
* …or use [Cocoapods](http://cocoapods.org/):

 ```ruby
pod "SBTableLayout", "~> 0.0.1"
 ```

## Todo
* Add style for the plain UITableView style.

## License
SBTableLayout is released under the MIT-license (see the LICENSE file)
